/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.del;

import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

/**
 * L&ouml;schen eines Eintrages.
 * Verbindungsdaten (Host, Base DN, Authentifizierung) werden von aussen 
 * erwartet (jndi.properties).
 * 
 * @author Stefan Z&ouml;rner 
 */
public class EintragLoeschen {

	/**
	 * Einstiegspunkt.
	 * @param args Kommandozeilenparameter, es werden keine ben&ouml;tigt
	 */
    public static void main(String[] args) throws NamingException {

        DirContext ctx = new InitialDirContext();

        // Eintrag loeschen
        ctx.unbind("cn=Paulchen Panther,ou=personen");
    }
}
