/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.ops.map.grp;

import org.junit.Test;

/**
 * Kleiner Test ob das LDAP Booster Pack verfuegbar ist, anhand einer JNDI
 * Object/State Factory
 * 
 * @author Stefan Z&ouml;rner
 * 
 */
public class BoosterPackVerfuegbar {

	@Test
	public void pruefeObBoosterPackDa() throws ClassNotFoundException,
	    InstantiationException, IllegalAccessException {
		Class<?> clazz = Class.forName("com.sun.jndi.ldap.obj.LdapGroupFactory");
		clazz.newInstance();
	}
}
