/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel4.controls;

import javax.naming.ldap.Control;

/**
 * Eigene Control-Implementierung -- (Listing 4_30).
 * 
 * Eine Java Control Klasse, um das Tree Delete Control zu nutzen.
 * 
 * @author Stefan Z&ouml;rner
 */
public class TreeDeleteControl implements Control {

  private static final long serialVersionUID = 1L;

  public String getID() {
    return "1.2.840.113556.1.4.805";
  }

  public boolean isCritical() {
    return Control.CRITICAL;
  }

  public byte[] getEncodedValue() {
    return null;
  }
}